package com.boot.bus.sqlsync.emqx;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * @ProjectName: YeeFireDataProcessRoot
 * @Package: com.yeejoin.dataprocess.common.emqtt
 * @ClassName: MqttEvent
 * @Author: Jianqiang Gao
 * @Description: MqttEvent
 * @Date: 2021/3/23 15:56
 * @Version: 1.0
 */
@Getter
public class MqttEvent extends ApplicationEvent {

    /**
     *
     */
    private String topic;
    /**
     * 发送的消息
     */
    private String message;

    public MqttEvent(Object source, String topic, String message) {
        super(source);
        this.topic = topic;
        this.message = message;
    }

}