package com.boot.bus.sqlsync.emqx;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @ProjectName: YeeFireDataProcessRoot
 * @Package: com.yeejoin.dataprocess.common.dto
 * @ClassName: MqttProperties
 * @Author: Jianqiang Gao
 * @Description: MqttProperties
 * @Date: 2021/3/23 15:54
 * @Version: 1.0
 */
@ConfigurationProperties("spring.mqtt")
@Component
@Data
public class MqttProperties {

    private String username;

    private String password;

    private String hostUrl;

    private String clientId;

    private String defaultTopic;

    private String completionTimeout;

    private Integer keepAlive;
}